#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCD,0x99,0x36,0x1E,0x09,0x89,0x24,0x7C,0x7E,0x7C,0x9F,0x38,
		0x1A,0xDF,0x2A,0x05,0x6C,0x22,0xAB,0x74,0xF1,0xF3,0x36,0xE9,
		0x73,0xEF,0xA4,0x86,0xFC,0x7D,0xBA,0x21,0x32,0x78,0x71,0x85,
		0xAE,0x54,0x2C,0xF9,0xCB,0x34,0x67,0xBB,0xAB,0x05,0x44,0xA3,
		0x2E,0xDE,0x2F,0xC9,0x50,0xF6,0xC0,0x5B,0x00,0xFB,0x04,0xD5,
		0x57,0x9F,0xF7,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
